<template>
  <div>
    <div class="post-header">
      <h1>{{ post.title }}</h1>
      <h4>{{ post.date }}</h4>
    </div>
    <div v-html="post.content"></div>
  </div>
</template>

<script>
export default {
  props: {
    post: {
      type: Object,
      required: true
    }
  }
}
</script>

<style scoped>
.post-header {
  margin-bottom: 5vh;
  padding-bottom: 2vh;
  border-bottom: 1px solid black;
}
</style>
